<?
/***************************************************************************
 *   Copyright (C) 2005 by J Randolph Smith                                *
 *   snortsms@servangle.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
function map_dirs2($path,&$list) 
	{
//	global $manifestlist;
	if(is_dir($path))
		{
		if($contents = opendir($path)) 
			{
			while(($node = readdir($contents)) !== false) 
				{
				if($node!="." && $node!="..")
					{
					//echo $path."/".$node."\n";
					array_push($list, $path."/".$node);
					
/*
PHP Warning:  Call-time pass-by-reference has been deprecated - argument passed by value;  If you would like to pass it by reference, modify the declaration of [runtime function name]().  If you would like to enable call-time pass-by-reference, you can set allow_call_time_pass_reference to true in your INI file.  However, future versions may not support this any longer.
*/
					map_dirs2("$path/$node",&$list);
					}
				}
			}
		}
	}
	
	
	
	
	

/*** Extract the files ***/
$command = $GBL['tar']." -C ".$GBL['tmpdir']." -xzf $temp_tempfile";
//print "<pre>$command</pre>\n";
$output = array();
exec($command,$output,$resultcode);
if($resultcode != 0)
	{
	print "<h3>ERROR: File extraction failed</h3>\n";
	print "<pre>";
	print "Result code: $resultcode \n";
	print_r($output);
	print "Check php error log for more info.\n";
	print"</pre>\n";
	exit(1);
	}



print "<h3>Importing files ...</h3>\n";

$manifestlist = array();
map_dirs2($GBL['tmpdir'], $manifestlist);





$filelist = array();


foreach($manifestlist as $filename)
	{

	if ( (eregi('\.rules$',$filename)) && (isset($_REQUEST['FRM_res_rules'])) )
		{
		print "<P>Proccessing: <i>$filename</i></p>\n";
		ProcessRuleFile($filename);
		
		}
	else if ( (eregi('(\.config|\.conf)$',$filename))  && (isset($_REQUEST['FRM_res_conf'])) )
		{
		print "<P>Proccessing: <i>$filename</i></p>\n";
		ProcessConfigFile($filename);
		}


	/*  Que any rule note we incounter to insert later  */
	else if ( (  preg_match("/\/(\d+).txt/",$filename,$matches)     )  && (isset($_REQUEST['FRM_res_notes'])) )
		{
		print "<BR>Queueing: <i>$filename</i>\n";
		array_push($filelist, $filename);
		}


	else
		{
		print "<BR>Ignoring: <i>$filename</i>\n";
		}
	
	}

	

	
	
/* Now it's safe to insert any rule notes (if any) */
ProcessRuleNoteFiles($filelist);
	
	
print "<h3>-Done-</h3>\n";
?>