<?php
/*
<fusedoc fuse="fbx_Switch.php">
	<responsibilities>
		I am the switch statement that handles the fuseaction, delegating work to various fuses.
	</responsibilities>
	<io>
		<in>
			<string name="$Fusebox['fuseaction']" />
			<string name="$Fusebox['circuit']" />
		</in>
	</io>	
</fusedoc>
*/






switch($Fusebox["fuseaction"]) {
	case "main":
	case "Fusebox.defaultFuseaction":
		include ( "qry_rulecats.php" );
		include ( "dsp_home.php" );
		break;
	


	case "query":
		include ( "qry_rulecats.php" );
		include ( "qry_rules.php" );
		include ( "dsp_results.php" );
		break;
		
	case "view":
		include ( "qry_rule.php" );
		include ( "qry_policies.php" );
		include ( "dsp_view.php" );
		break;
		
	case "edit":
		include ( "qry_rule.php" );
	case "new":
		include ( "qry_rulecats.php" );
		include ( "dsp_edit.php" );
		break;

		
	case "import":
		include ( "qry_rulecats.php" );
		include ( "dsp_import.php" );
		break;
		
		
	case "update":
		include ( "act_Save-Update.php" );
		break;

		
		
		
	case "action":	
		include ( "act_action.php" );
		break;
		
		
		
	case "recycle":	
		include ( "dsp_recycle.php" );
		break;
		
		
		
		
	default:
		print "I received a fuseaction called <b>'" . $Fusebox["fuseaction"] . "'</b> that circuit <b>'" . $Fusebox["circuit"] . "'</b> does not have a handler for.";
		break;
}

?>