<?php
/*

<fusedoc fuse="fbx_Switch.php">
	<responsibilities>
		I am the switch statement that handles the fuseaction, delegating work to various fuses.
	</responsibilities>
	<io>
		<in>
			<string name="$Fusebox['fuseaction']" />
			<string name="$Fusebox['circuit']" />
		</in>
	</io>	
</fusedoc>
*/ 


switch($Fusebox["fuseaction"])
	{
	case "main":
	case "Fusebox.defaultFuseaction":
		include ( "../sensorconf/qry_sensors.php" );
		include ( "dsp_home.php" );
		break;

		
	case "monitor":
		include ( "../monitor/act_stats.php" );
		include ( "qry_sensors_active.php" );
		include ( "dsp_monitor.php" );
		break;
	

	
	
	case "delete":
		include ( "act_delete.php" );
		break;

		

		
		
	default:
		print "I received a fuseaction called <b>'" . $Fusebox["fuseaction"] . "'</b> that circuit <b>'" . $Fusebox["circuit"] . "'</b> does not have a handler for.";
		break;
	}
?>