<?php
/*
<fusedoc fuse="fbx_Switch.php">
	<responsibilities>
		I am the switch statement that handles the fuseaction, delegating work to various fuses.
	</responsibilities>
	<io>
		<in>
			<string name="$Fusebox['fuseaction']" />
			<string name="$Fusebox['circuit']" />
		</in>
	</io>	
</fusedoc>
*/






switch($Fusebox["fuseaction"]) {
	case "main":
	case "Fusebox.defaultFuseaction":
		include ( "qry_references.php" );
		include ( "dsp_home.php" );
		break;
	
	
	case "select":
		include ( "../sensorconf/qry_sensors.php");
		include ( "qry_selected.php" );
		include ( "qry_references.php" );
		include ( "dsp_selected.php" );
		break;
	
	
	
	case "activate":
	case "deactivate":
	case "activateall":
	case "deactivateall":
		include ( "act_AddRemove.php" );
		break;
		
		
	case "edit":
		include ( "qry_reference.php" );
	case "new":
		include ( "dsp_AddEdit.php" );
		break;
		
	case "import":
		include ( "dsp_import.php" );
		break;
		
		
	case "save":
		include ( "act_Save-Update.php" );
		break;
		
		
	case "action":
		include ( "act_action.php" );
		break;
		
	default:
		print "I received a fuseaction called <b>'" . $Fusebox["fuseaction"] . "'</b> that circuit <b>'" . $Fusebox["circuit"] . "'</b> does not have a handler for.";
		break;
}

?>